package editeurv0;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;

public class Editeur extends JFrame {
		// -\- Components

		private JTextArea mEditArea;
		private JPanel panel;
		// -\- Actions
		private Action actCopier;
		private Action actInserer;
		private JButton copier;
		private JButton inserer;

		// =====================================================================
		// main

		public static void main(String[] args) {
			Editeur ed= new Editeur();
			ed.setSize(700, 350);
			ed.setVisible(true);

		}

		// ==============================================================
		// constructor

		public Editeur() {
			this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			this.setTitle("Neuditeur");
			
			// configuration of the text area
			mEditArea = new JTextArea("This is the text to dictate...", 15, 80);
			mEditArea.setEditable(false);
			//mEditArea.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
			mEditArea.setFont(new Font("monospaced", Font.PLAIN, 14));
			// With a scrolling pane
			JScrollPane scrollingText = new JScrollPane(mEditArea);
			
			// Creation of actions
			actCopier= new ActionCopier(mEditArea,"Copy");
			actInserer= new ActionInserer(mEditArea, "Insert");
			
			// association of actions to buttons
			copier = new JButton(actCopier);
			inserer = new JButton(actInserer);
			
			// configuration of the panel
			panel = new JPanel();
			panel.setLayout(new FlowLayout());  // with a simple automatic placement method 
			panel.add(scrollingText);
			// adding buttons
			panel.add(copier); 
			panel.add(inserer);
			this.setContentPane(panel);
			// resizing the window if necessary
			// this.pack(); 

		}

			
		
}
